Not to be a spoilsport but check the corresponding bug and comment section. It is _very_ clear, that Xenial will drop one or the other for going live. Ubuntu won't likely have both versions in main and wanting to support it. I even suggested it, but it doesn't seem to give much.

https://bugs.launchpad.net/ubuntu/+source/php5/+bug/1522422

So no, I'd be *very* surprised myself if they would include both. It would be very appreciated for sure (as I write from a hoster/hosting perspective) but likely won't happen. That's why I suggest keeping an eye out for Ondrej Sury and his co-installability repos with 5.6 and 7 and hope he will support xenial with his repo as well and not drop support for 5.6, too.